[pve-devel] [PATCH qemu] build: drop explicit libproxmox-backup-qemu0 dep

Fabian Grünbichler f.gruenbichler at proxmox.com
Tue Feb 9 12:29:32 CET 2021


it ships a symbol file now, so it can be auto-generated based on the
build-dep and usage.

Signed-off-by: Fabian Grünbichler <f.gruenbichler at proxmox.com>
---
WARNING: this needs a version of libproxmox-backup-qemu0 with symbols
files in the build deps, otherwise the generated dependency will become
an unversioned one based on just the SO version..

 debian/control | 1 -
 1 file changed, 1 deletion(-)

diff --git a/debian/control b/debian/control
index ee913e8..b182c45 100644
--- a/debian/control
+++ b/debian/control
@@ -52,7 +52,6 @@ Depends: ceph-common (>= 0.48),
          libiscsi4 (>= 1.12.0) | libiscsi7,
          libjemalloc2,
          libjpeg62-turbo,
-         libproxmox-backup-qemu0 (>= 1.0.2-1),
          libsdl1.2debian,
          libspice-server1 (>= 0.14.0~),
          libusb-1.0-0 (>= 1.0.17-1),
-- 
2.20.1





More information about the pve-devel mailing list